<template>
  <div class="user_info">
    <fa icon="user-circle" class="user_info_foto"/>
    <div class="user_info_nome">{{ nome }}</div>
    <router-link
      tag="div"
      to="/"
      class='user_info_icone'
      @click.native="logout">
      <fa icon="sign-out-alt" class="user_info_icone"/>
    </router-link>
  </div>
</template>

<script>
export default {
  props: ["nome"],

  methods: {
    logout() {
      this.$store.commit("invalidateUser");
      this.$store.commit("invalidateCredits");
    }
  }
};
</script>

<style lang="scss">
.user_info {
  display: grid;
  grid-template-rows: 3fr;
  grid-template-columns: 3fr 2fr;

  padding-bottom: 0.5em;

  width: 100%;

  background: $primary-color;
  color: $light-color;

  user-select: none;
}

.user_info_foto {
  grid-row: 1 / 2;
  grid-column: 1 / 2;
  justify-self: end;

  margin-top: 1rem;

  text-align: center;
  font-size: 3em;
}

.user_info_nome {
  grid-row: 2 / 3;
  grid-column: 1 / 2;
  justify-self: end;

  margin-top: 0.2em;
  margin-bottom: 0.5em;
}

.user_info_icone {
  grid-row: 2 / 3;
  grid-column: 2 / 3;
  justify-self: end;

  font-size: 1.2em;

  margin-right: 0.2rem;

  cursor: pointer;
}
</style>

